Bug 1295209 - Review Request: lua-fun - functional programming library for Lua and LuaJIT
Review Request: lua-fun - functional programming library for Lua and LuaJIT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 11:00 EST by Roman Tsisyk
Modified: 2016-02-07 21:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-02 14:22:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Roman Tsisyk 2016-01-03 11:00:13 EST
Spec URL: https://gist.githubusercontent.com/rtsisyk/e3b7d7d5574096aa22e2/raw/8b30fb45845b2e223b3c17676bbdd95f682c0818/luafun-0.1.2.spec
SRPM URL: https://gist.github.com/rtsisyk/e3b7d7d5574096aa22e2/raw/8b30fb45845b2e223b3c17676bbdd95f682c0818/lua-fun-0.1.2-1.fc24.src.rpm
Description: Lua Fun is a high-performance functional programming library designed for LuaJIT tracing just-in-time compiler.

The library provides a set of more than 50 programming primitives typically
found in languages like Standard ML, Haskell, Erlang, JavaScript, Python and
even Lisp. High-order functions such as map, filter, reduce, zip will help
you to write simple and efficient functional code.
Fedora Account System Username: rtsisyk
Buildbot: http://koji.fedoraproject.org/koji/taskinfo?taskID=12394857

This .src.rpm provides packages both for lua-5.3 and luajit-2.0+.
Comment 1 Roman Tsisyk 2016-01-04 01:57:14 EST
I'm upstream maintainer. My other packages:
https://bugzilla.redhat.com/show_bug.cgi?id=1293100
https://bugzilla.redhat.com/show_bug.cgi?id=1295217
Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-08 10:36:10 EST
You should use %license for COPYING.md [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text].

Spec file name does not match srpm file name (it's missing the dash).

Please add an empty build section:
%build
# nothing to do

Add a dot at the end of both %description's.


--


It would be great if you could do two-three reviews of other packages (e.g. anything from https://fedoraproject.org/PackageReviewStatus/NEW.html), so that potential sponsors know that you know the packaging guidelines and review workflow. https://fedoraproject.org/wiki/Packaging:Guidelines and the fedora-review tool are very useful.
Comment 3 Upstream Release Monitoring 2016-01-09 12:28:49 EST
rtsisyk's scratch build of lua-fun-0.1.2-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12484090
Comment 4 Roman Tsisyk 2016-01-09 12:46:18 EST
> You should use %license for COPYING.md [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text].

Fixed.

> Spec file name does not match srpm file name (it's missing the dash).

Fixed.

> Please add an empty build section:
> %build
> # nothing to do

Fixed.

> Add a dot at the end of both %description's.

Fixed.

Spec URL: https://gist.githubusercontent.com/rtsisyk/e3b7d7d5574096aa22e2/raw/7ae6bd941a36d554d6455d763efdeb44e866ee50/lua-fun-0.1.2.spec
SRPM URL: https://gist.github.com/rtsisyk/e3b7d7d5574096aa22e2/raw/7ae6bd941a36d554d6455d763efdeb44e866ee50/lua-fun-0.1.2-1.fc24.src.rpm
Buildbot: http://koji.fedoraproject.org/koji/taskinfo?taskID=12484092

--
> It would be great if you could do two-three reviews of other packages (e.g. anything from https://fedoraproject.org/PackageReviewStatus/NEW.html), so that potential sponsors know that you know the packaging guidelines and review workflow. https://fedoraproject.org/wiki/Packaging:Guidelines and the fedora-review tool are very useful.

Thanks a lot for your review for all my three packages! Your input is very helpful for me.
I continuously improve my RPM skills by studying guidelines and policies and making packages for software I use and/or maintain in upstream. I think that review of some other packages  should be also useful  for this purpose. I will take a look on some NEW packages soon. 

Please feel free to contact me if there is anything else to improve in my packages. Thanks!
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-01-09 18:34:49 EST
(In reply to Roman Tsisyk from comment #4)
> Thanks a lot for your review for all my three packages! Your input is very
> helpful for me.
I'm happy to help.

> I continuously improve my RPM skills by studying guidelines and policies and
> making packages for software I use and/or maintain in upstream. I think that
> review of some other packages  should be also useful  for this purpose. I
> will take a look on some NEW packages soon. 
Yes, please do some reviews and paste the links here.
I can sponsor you into the packagers group.
Comment 6 Roman Tsisyk 2016-01-16 07:06:49 EST
I'm currently reviewing couple packages:

https://bugzilla.redhat.com/show_bug.cgi?id=1297215
https://bugzilla.redhat.com/show_bug.cgi?id=1297821

The last one is mostly ok, but have some troubles with GPLv2 libraries linked to ASL 2.0 binary. dnsdist reporter is working on review fixes.

I plan to review some more packages this weekend.
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-01-16 19:41:29 EST
Everything looks great. Package is APPROVED.

The reviews are good too, very thorough. I now added you to packagers. Welcome!
Comment 8 Roman Tsisyk 2016-01-17 01:51:31 EST
Thanks a lot! I see that I need to choose package collections for my new pkgdb request. Should this package go to master (=rawhide?) or it is also possible to select, say, EPEL7?

https://fedoraproject.org/wiki/EPEL_Package_Maintainers 

> 1. If you are an existing Fedora package maintainer, you can maintain EPEL packages by becoming a maintainer or comaintainer of an existing EPEL package, which you can apply for in pkgdb. You can also request EPEL branches for your Fedora package and maintain them for EPEL with a Package SCM request. 

-----

Who will make a decision about packages I reviewed (#1297821 #1297215)?
I still in doubt about license problems in #1297821.
Comment 9 Zbigniew Jędrzejewski-Szmek 2016-01-17 19:40:20 EST
(In reply to Roman Tsisyk from comment #8)
> Thanks a lot! I see that I need to choose package collections for my new
> pkgdb request. Should this package go to master (=rawhide?) or it is also
> possible to select, say, EPEL7?
> 
> https://fedoraproject.org/wiki/EPEL_Package_Maintainers 

Normally new packages go into all active Fedora branches (currently master, F23, F22), unless there's some reason not to (e.g. rawhide-only dependencies, etc). You can put your package in EPEL too, if you care about RHEL/CentOS, and are willing to support the package. In my experience packages in EPEL rarely get bug reports, so the burden is mostly in reading the additional packaging guidelines [1] and having a slightly more complicated package and of course dealing with outdated dependencies.

[1] https://fedoraproject.org/wiki/EPEL:Packaging

> > 1. If you are an existing Fedora package maintainer, you can maintain EPEL packages by becoming a maintainer or comaintainer of an existing EPEL package, which you can apply for in pkgdb. You can also request EPEL branches for your Fedora package and maintain them for EPEL with a Package SCM request. 

> Who will make a decision about packages I reviewed (#1297821 #1297215)?
> I still in doubt about license problems in #1297821.

#1297821 should be left alone until the issue is resolved upstream, or the submitter withdraws. It is probably best leave it assigned to you, so that other people don't look at it needlessly.

It would be great if you assigned 1297215 to yourself and proceeded with the review.
Comment 10 Roman Tsisyk 2016-01-18 02:27:20 EST
I've made a minor release in the upstream after fixing some problem with the stock Lua 5.3 from lua.org and have updated the wording a little bit. 
Minor changes, nothing serious.

Spec URL: https://gist.github.com/rtsisyk/e3b7d7d5574096aa22e2/raw/d54461d572fe047a91ab071639c7a9d40093c64f/lua-fun-0.1.3.spec
SRPM URL: https://gist.github.com/rtsisyk/e3b7d7d5574096aa22e2/raw/d54461d572fe047a91ab071639c7a9d40093c64f/lua-fun-0.1.3-1.fc24.src.rpm

I'm sending this package to pkgdb right now.
Thanks!

---
> #1297821 should be left alone until the issue is resolved upstream, or the submitter withdraws. It is probably best leave it assigned to you, so that other people don't look at it needlessly.

OK

>  It would be great if you assigned 1297215 to yourself and proceeded with the review.

OK, I'll take care of it.
Comment 11 Gwyn Ciesla 2016-01-18 14:50:48 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/lua-fun
Comment 12 Roman Tsisyk 2016-01-20 15:01:44 EST
I have finished with the my first package! [1]
[1]: https://apps.fedoraproject.org/packages/lua-fun/

Thanks a lot!
Can I close this ticket?

-----

P.S. I'll also send a greeting email to devel@, as required by [2]: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Introduce_yourself
Comment 13 Zbigniew Jędrzejewski-Szmek 2016-01-20 15:45:47 EST
Normally you'd close the ticket when the package is built in rawhide, if only building for rawhide, or simply list this bug as "fixed" by the update, when creating updates for F23 and lower.
Comment 14 Roman Tsisyk 2016-01-21 15:00:48 EST
I pushed specs to all four branches (f24, f23, f22, epel7).
What else should be done from my side?
Should I use Bodhi for f22, f23? [1] It is not so clear for me after studying available documentation.

[1]: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Submit_Package_as_Update_in_Bodhi
Comment 15 Zbigniew Jędrzejewski-Szmek 2016-01-21 15:08:10 EST
Now you should release updates for all branches (except f24). This is best done through the web interface, because it allows doing one update for all branches.
Go to https://bodhi.fedoraproject.org/updates/new, and specify lua-fun in Packages, this bug in Related bugs, and check all Candidate Builds.
Comment 16 Fedora Update System 2016-01-22 00:45:42 EST
lua-fun-0.1.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-913bb8547c
Comment 17 Fedora Update System 2016-01-22 00:45:42 EST
lua-fun-0.1.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-56433d5b18
Comment 18 Fedora Update System 2016-01-22 00:45:44 EST
lua-fun-0.1.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-913bb8547c
Comment 19 Fedora Update System 2016-01-22 00:45:47 EST
lua-fun-0.1.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-596707fc4d
Comment 20 Fedora Update System 2016-01-23 23:23:02 EST
lua-fun-0.1.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-913bb8547c
Comment 21 Fedora Update System 2016-01-23 23:51:09 EST
lua-fun-0.1.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-596707fc4d
Comment 22 Fedora Update System 2016-01-23 23:51:12 EST
lua-fun-0.1.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-56433d5b18
Comment 23 Denis Fateyev 2016-02-01 15:59:16 EST
> Should I use Bodhi for f22, f23? [1]
> It is not so clear for me after studying available documentation.
> [1]: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Submit_Package_as_Update_in_Bodhi

Small addition: as Zbigniew said above, normally you can use Bodhi web interface to create package updates. But you can also use "fedpkg update" for the same purpose - it's a CLI interface to the same functionality.

As it's seen the package updates https://bodhi.fedoraproject.org/updates/FEDORA-2016-56433d5b18 and https://bodhi.fedoraproject.org/updates/FEDORA-2016-596707fc4d already reached 7 days in testing, so you can push them to stable just clicking on a green button on the page top.
Comment 24 Fedora Update System 2016-02-02 14:22:01 EST
lua-fun-0.1.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-02-02 18:53:24 EST
lua-fun-0.1.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-02-07 21:23:58 EST
lua-fun-0.1.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.